LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUpdateModel Interface Reference

Internal interface to update the used css::frame::XModel More...

`import"XUpdateModel.idl";`

Inheritance diagram for XUpdateModel:

## Public Member Functions
void | updateModel ([in] com::sun::star::frame::XModel xModel)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Internal interface to update the used css::frame::XModel

Since
  LibreOffice 5.1

## Member Function Documentation

## ◆ updateModel()

void updateModel | ( | [in] com::sun::star::frame::XModel | xModel | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUpdateModel.idl